> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Upcoming Grant Events

> Returns upcoming vesting, unlock and settlement events for the org in a date range via distributionService.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-upcoming-grant-events
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-upcoming-grant-events:
    post:
      operationId: getUpcomingGrantEvents
      summary: Get Upcoming Grant Events
      description: >-
        Returns upcoming vesting, unlock and settlement events for the org in a
        date range via distributionService.


        Not available to API keys yet. It will need `grants:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUpcomingGrantEventsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUpcomingGrantEventsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetUpcomingGrantEventsRequest:
      type: object
      properties:
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        eventTypes:
          type: array
          items:
            type: string
            enum:
              - Vesting
              - Unlock
              - Upcoming Settlement
              - Warrant Unlock
        grantName:
          type: string
        recipientName:
          type: string
      required:
        - startDate
        - endDate
    GetUpcomingGrantEventsResponse:
      type: object
      properties:
        grantEvents:
          type: array
          items:
            type: object
            properties:
              eventType:
                type: string
                enum:
                  - Vesting
                  - Unlock
                  - Upcoming Settlement
                  - Warrant Unlock
              eventDate:
                type: string
              amount:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
              grantName:
                type: string
              grantID:
                type: string
              recipientName:
                type: string
              roleInOrgID:
                type: string
              roleInOrgExternalID:
                type: number
              eventID:
                type: string
              externalEmployeeID:
                type: string
              tokenName:
                type: string
              tokenIcon:
                type:
                  - string
                  - 'null'
              country:
                type: string
              employmentType:
                type: string
              trancheSequenceNumber:
                type: number
              vestingDate:
                type: string
              status:
                type: string
              tokensVested:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
              cumulativeTokensVested:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
              tokensUnlocked:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
              cumulativeTokensUnlocked:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
              tokensSettled:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
              settlementDate:
                type: string
              tokensWithheld:
                type: string
                pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
              eightyThreeBElection:
                type: boolean
              tags:
                type:
                  - string
                  - 'null'
              compensationType:
                type:
                  - string
                  - 'null'
              activeWalletAddress:
                type:
                  - string
                  - 'null'
              activeWalletNetwork:
                type:
                  - string
                  - 'null'
              activeWalletNetworkIcon:
                type:
                  - string
                  - 'null'
              unlockDate:
                type: string
              orgName:
                type: string
              orgID:
                type: string
            required:
              - eventType
              - eventDate
              - amount
              - grantName
              - grantID
              - recipientName
              - roleInOrgID
              - roleInOrgExternalID
              - eightyThreeBElection
        tokensVestingInTimePeriod:
          type: string
          pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
        tokensUnlockingInTimePeriod:
          type: string
          pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
        totalTokensUpcomingSettlements:
          type: string
          pattern: ^(?:-?\d+(?:\.\d+)?(?:e[+-]?\d+)?|NaN|-?Infinity)$
      required:
        - grantEvents
        - tokensVestingInTimePeriod
        - tokensUnlockingInTimePeriod
        - totalTokensUpcomingSettlements
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
